#!/bin/bash

N=$1
folder=$2

time=`date +%Y_%m_%d_%H_%M_%S`
outfile=/tmp/$time.rviz

prefix_segment=$( cat $folder/prefix_segment.rviz )
printf "$prefix_segment\n" > $outfile

for i in $(seq 0 $((N-1))); do
  name="robot$i"
  color="$((255 * (N-1-i) / (N-1))); $((255 * i / (N-1))); 25"
  odometry_segment=$( cat $folder/odometry_segment.rviz )
  odometry_segment="${odometry_segment//TAG_ROBOT/$name}"
  odometry_segment="${odometry_segment//TAG_COLOR/$color}"
  printf "$odometry_segment\n" >> $outfile
  path_segment=$( cat $folder/path_segment.rviz )
  path_segment="${path_segment//TAG_ROBOT/$name}"
  path_segment="${path_segment//TAG_COLOR/$color}"
  printf "$path_segment\n" >> $outfile
done

postfix_segment=$( cat $folder/postfix_segment.rviz )
printf "$postfix_segment\n" >> $outfile
rosrun rviz rviz -d $outfile
